import { cw as e, cx as t, _ as s, cy as r, M as o, aj as i, au as p } from "./index-0c01125c.js";
import "./lodash-226cb5b1.js";
import { lA as a, lS as m } from "./ant-design-icons-14ab96af.js";
import "react";
import "./loglevel-5e7e37fc.js";
import "./axios-125479b5.js";
import "./redux-devtools-f8b1cd80.js";
import "./alasql-f59e855e.js";
import "./react-router-8d1fc2f1.js";
import "./antd-97b654da.js";
import "react-dom";
import "./dayjs-7fc5ce65.js";
import "./fontawesome-89eb6278.js";
import "./dnd-kit-e67c9595.js";
import "./moment-d8baa15a.js";
import "./crypto-js-8020edb5.js";
import "./styled-components-c6abe9a3.js";
import "./numbro-48e81844.js";
import "./papaparse-088c0adc.js";
import "./uuid-82f303b2.js";
import "./supabase-2e4a9112.js";
import "./fetch-6a200310.js";
import "./react-draggable-fda4f1cb.js";
import "./remark-gfm-e9b5dec7.js";
import "./buffer-e20f80c8.js";
import "./rehype-raw-41b6145f.js";
import "./parse5-6476676e.js";
import "./rehype-sanitize-deb53e9a.js";
import "./simplebar-react-cab52c82.js";
import "./react-best-gradient-color-picker-812be7ee.js";
import "./ua-parser-js-1d18a3f8.js";
import "./clsx-469c2c43.js";
import "./codemirror-edf161cb.js";
import "./really-relaxed-json-e5391d6a.js";
import "./immer-c0428a8d.js";
import "./redux-saga-1b0a458d.js";
import "./hotkeys-js-0dddb21a.js";
import "./cnchar-8c3eaa86.js";
import "./react-documents-ae08f8b5.js";
import "./sql-formatter-69e8df59.js";
import "./rc-trigger-9e54e169.js";
import "./react-json-view-364658b4.js";
import "./qrcode-react-e4f7745b.js";
import "./katex-cda5b990.js";
import "./ecogis-maps-10bb29cf.js";
import "./devextreme-28d23085.js";
import "./exceljs-1678d36b.js";
import "./file-saver-es-c18fae8f.js";
test("test string state control", () => {
  const r2 = { s1: e("s1Value") }, o2 = { ...r2, s2: e("s2Value") }, i2 = { s1: e("s1Value") };
  let p2 = new t({ value: "3{{s1}}" });
  p2 = s(p2, r2), expect(p2.getView().value).toBe("3s1Value"), p2 = s(p2.reduce(p2.changeChildAction("value", "newx")), r2), expect(p2.getView().value).toBe("newx"), p2 = s(p2, o2), expect(p2.getView().value).toBe("newx"), p2 = s(p2, i2), expect(p2.getView().value).toBe("3s1Value");
}), test("test comp", () => {
  let e2 = function() {
    const e3 = { v1: r(["a"]) };
    return new o(e3, (e4) => "a").setPropertyViewFn(() => a(m, {})).build();
  }();
  e2 = i(e2, [new p("v1")]);
  let t2 = new e2({});
  t2 = s(t2), t2 = s(t2);
  let j = s(t2);
  expect(t2 === j).toBeTruthy();
});
